Activity log for bug #275692

Date Who What changed Old value New value Message
2008-09-29 04:30:39 computx bug added bug
2008-09-29 04:30:39 computx bug added attachment 'dmesg.txt' (output of dmesg after resume)
2008-09-29 07:01:51 DrFaNaTiC None: bugtargetdisplayname Ubuntu linux-restricted-modules (Ubuntu)
2008-09-29 07:01:51 DrFaNaTiC None: bugtargetname ubuntu linux-restricted-modules (Ubuntu)
2008-09-29 07:01:51 DrFaNaTiC None: statusexplanation
2008-09-29 07:01:51 DrFaNaTiC None: title Bug #275692 in Ubuntu: "ath_pci must be reloaded after resume" Bug #275692 in linux-restricted-modules (Ubuntu): "ath_pci must be reloaded after resume"
2008-10-23 14:21:06 Loïc Minier linux-restricted-modules: status New Confirmed
2008-10-23 14:21:06 Loïc Minier linux-restricted-modules: statusexplanation I confirm; perhaps we can ship a pm-utils file to unload the module on suspend/resume in lrm.
2008-10-23 15:50:02 Loïc Minier bug assigned to ubuntu-release-notes
2008-10-29 05:52:12 Steve Langasek ubuntu-release-notes: status New Fix Released
2008-10-29 05:52:12 Steve Langasek ubuntu-release-notes: statusexplanation Documented at <https://wiki.ubuntu.com/IntrepidReleaseNotes#Wireless%20doesn%27t%20work%20after%20suspend%20with%20ath_pci%20driver>.
2008-12-30 19:25:54 Leann Ogasawara linux-restricted-modules: status Confirmed Triaged
2008-12-30 19:25:54 Leann Ogasawara linux-restricted-modules: importance Undecided Medium
2008-12-30 19:25:54 Leann Ogasawara linux-restricted-modules: statusexplanation I confirm; perhaps we can ship a pm-utils file to unload the module on suspend/resume in lrm.
2009-02-11 16:19:20 Leann Ogasawara description On a fresh install of intrepid after resume from standby I have no network connection on my atheros ar5212 wifi card. If I remove and reload the ath_pci module then restart networking it works fine. Output of dmesg is attached, This is a thinkpad t42 laptop Kernel is 2.6.27-4-generic #1 SMP Wed Sep 24 01:30:51 UTC 2008 i686 GNU/Linux Happy to supply any further info needed. On a fresh install of intrepid after resume from standby I have no network connection on my atheros ar5212 wifi card. If I remove and reload the ath_pci module then restart networking it works fine. Output of dmesg is attached, This is a thinkpad t42 laptop Kernel is 2.6.27-4-generic #1 SMP Wed Sep 24 01:30:51 UTC 2008 i686 GNU/Linux Happy to supply any further info needed. == Workaround (if you want to continue using the proprietary ath_pci dirver) == create a file /etc/pm/config.d/madwifi containing the single line: SUSPEND_MODULES=ath_pci == Fix (if you want to use the free ath5k/ath9k driver) == install linux-backports-modules-intrepid
2009-02-11 16:19:56 Leann Ogasawara bug assigned to linux-backports-modules-2.6.27 (Ubuntu)
2009-02-11 16:25:45 Leann Ogasawara linux-backports-modules-2.6.27: status New Fix Released
2009-02-11 16:25:45 Leann Ogasawara linux-backports-modules-2.6.27: statusexplanation Based on feedback both here and in some of the bugs marked as duplicates, it appears this issue is resolved if you install linux-backports-modules-intrepid which will provide the ath5k/ath9k drivers. There is also a workaround if you want to continue using the proprietary ath_pci driver. I've updated the description of this bug report to reflect both. After a quick discussion with the kernel team, it's not likely there will be any updates coming in for madwifi so I'm marking this "Fix Released" against linux-backports-modules-2.6.27 and "Won't Fix" against linux-restricted-modules. If you still experience this issue even after testing the workaround or installing linux-backports-modules-intrepid, please open a new bug. Thanks.
2009-02-11 16:25:59 Leann Ogasawara linux-restricted-modules: status Triaged Won't Fix
2010-07-01 19:22:34 Steve Scaffidi removed subscriber Steve Scaffidi
2010-07-03 21:09:26 Michael Rooney removed subscriber Michael Rooney